Subject: Re: "git pull . <branch>" versus "git merge <branch>"

From: Rene Herman <[email-masked]>
Date: Wed, 11 Jun 2008 03:13:45 +0200

On 11-06-08 03:06, David Symonds wrote:
> On Wed, Jun 11, 2008 at 10:51 AM, Rene Herman <[email-masked]> wrote:
> 
>> The manpages seem to be making somewhat of a point of mentioning "git pull .
>> <branch>" as the way to merge a local branch into the current one but a
>> simple "git merge <branch>" seems to work well. Is there a difference?
> 
> git pull also does a fetch in it's usual mode of operation, and runs
> git merge to do merge changes in the remote-tracking branches.

So in the case of merging a branch from the local repository into the 
current branch, there is no difference between the two?

Rene.